-- phpMyAdmin SQL Dump
-- version 3.2.2.1deb1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: May 27, 2010 at 05:46 PM
-- Server version: 5.1.37
-- PHP Version: 5.2.10-2ubuntu6.4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `components`
--

-- --------------------------------------------------------

--
-- Table structure for table `component_classes`
--

CREATE TABLE IF NOT EXISTS `component_classes` (
  `id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `desc` text NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `component_classes`
--

INSERT INTO `component_classes` (`id`, `name`, `desc`, `type`) VALUES
(1, 'Resistors', 'All passive resistor types', 0),
(3, 'OpAmp', 'Operation amplifiers', 0),
(4, 'LED', 'LEDs', 0),
(2, 'Capacitors', 'Capacitors of all kind', 0),
(103, 'MOSFET', 'MOSFET transistors', 0);

-- --------------------------------------------------------

--
-- Table structure for table `history`
--

CREATE TABLE IF NOT EXISTS `history` (
  `id` int(11) NOT NULL,
  `item` int(11) NOT NULL,
  `which` int(11) NOT NULL,
  `modification_date` datetime NOT NULL,
  `desc` text NOT NULL,
  `data` longblob NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `history`
--

INSERT INTO `history` (`id`, `item`, `which`, `modification_date`, `desc`, `data`) VALUES
(1, 1, 0, '2010-05-26 16:36:15', 'First version', ''),
(2, 1, 0, '2010-05-27 16:40:25', 'Pinout properties changed', '');

-- --------------------------------------------------------

--
-- Table structure for table `packages`
--

CREATE TABLE IF NOT EXISTS `packages` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Package ID',
  `name` varchar(16) NOT NULL COMMENT 'Package name',
  `mount_type` int(11) NOT NULL COMMENT '(SMD, THT, ...)',
  `npins` int(11) NOT NULL,
  `xmldatafile` varchar(128) NOT NULL,
  `datafile3d` varchar(128) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `packages`
--

INSERT INTO `packages` (`id`, `name`, `mount_type`, `npins`, `xmldatafile`, `datafile3d`) VALUES
(1, 'LQFP-48', 1, 48, '', ''),
(2, 'SOT23', 1, 3, '', ''),
(3, '0402', 2, 2, '', ''),
(4, '0603', 2, 2, '', '');

-- --------------------------------------------------------

--
-- Table structure for table `subtypes`
--

CREATE TABLE IF NOT EXISTS `subtypes` (
  `id` int(11) NOT NULL,
  `classname` varchar(16) NOT NULL,
  `typename` varchar(16) NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `subtypes`
--

INSERT INTO `subtypes` (`id`, `classname`, `typename`, `desc`) VALUES
(1, 'mosfet', 'P', 'P channel type'),
(2, 'mosfet', 'N', 'N channel type');

-- --------------------------------------------------------

--
-- Table structure for table `type_mount`
--

CREATE TABLE IF NOT EXISTS `type_mount` (
  `id` int(11) NOT NULL,
  `name` varchar(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `type_mount`
--

INSERT INTO `type_mount` (`id`, `name`) VALUES
(0, 'NONE'),
(1, 'THT'),
(2, 'SMD'),
(3, 'THT+SMD');

-- --------------------------------------------------------

--
-- Table structure for table `units`
--

CREATE TABLE IF NOT EXISTS `units` (
  `name` varchar(32) NOT NULL COMMENT 'The units id',
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `default_pkg` int(11) NOT NULL,
  `pkg_list` varchar(64) NOT NULL,
  `class` int(11) NOT NULL COMMENT 'The unit class',
  `subtype` varchar(16) NOT NULL COMMENT 'class subtype',
  `flags` smallint(6) NOT NULL,
  `created` datetime NOT NULL,
  `nparts` smallint(6) NOT NULL COMMENT 'Number of schematic parts',
  `keywords` text NOT NULL,
  `doclink` varchar(256) NOT NULL,
  `xmldata` blob NOT NULL,
  `verified` int(11) NOT NULL COMMENT 'Design verification counter',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`name`),
  KEY `package` (`default_pkg`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Contains the unit descriptions' AUTO_INCREMENT=3 ;

--
-- Dumping data for table `units`
--

INSERT INTO `units` (`name`, `id`, `default_pkg`, `pkg_list`, `class`, `subtype`, `flags`, `created`, `nparts`, `keywords`, `doclink`, `xmldata`, `verified`) VALUES
('FDN302P', 1, 0, '', 103, 'mosfet', 0, '2010-05-27 14:14:09', 1, 'mosfet,power trench', '', '', 0),
('R', 2, 0, '3,4', 1, '', 0, '0000-00-00 00:00:00', 0, '', '', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `verifications`
--

CREATE TABLE IF NOT EXISTS `verifications` (
  `userid` int(11) NOT NULL COMMENT 'The user id',
  `unit` int(11) NOT NULL COMMENT 'The component id'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `verifications`
--

